VERSION 5.00
Object = "{27395F88-0C0C-101B-A3C9-08002B2F49FB}#1.1#0"; "PICCLP32.OCX"
Begin VB.Form Form1 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Count!"
   ClientHeight    =   3060
   ClientLeft      =   8595
   ClientTop       =   4485
   ClientWidth     =   3270
   FillColor       =   &H00FFFFFF&
   Icon            =   "Counts.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3060
   ScaleWidth      =   3270
   Begin VB.CommandButton cmdStop 
      Cancel          =   -1  'True
      Caption         =   "STOP!"
      Height          =   375
      Left            =   2400
      TabIndex        =   3
      Top             =   1560
      Width           =   735
   End
   Begin PicClip.PictureClip pctCards 
      Left            =   3000
      Top             =   2760
      _ExtentX        =   27173
      _ExtentY        =   16272
      _Version        =   393216
      Rows            =   5
      Cols            =   13
      Picture         =   "Counts.frx":B3AA
   End
   Begin VB.Timer tmrTimer 
      Left            =   360
      Top             =   240
   End
   Begin VB.CommandButton cmdCounts 
      Caption         =   "+1"
      Enabled         =   0   'False
      Height          =   375
      Index           =   2
      Left            =   2040
      TabIndex        =   7
      Top             =   2520
      Width           =   495
   End
   Begin VB.CommandButton cmdCounts 
      Caption         =   "0"
      Enabled         =   0   'False
      Height          =   375
      Index           =   1
      Left            =   1320
      TabIndex        =   6
      Top             =   2520
      Width           =   495
   End
   Begin VB.CommandButton cmdCounts 
      Caption         =   "-1"
      Enabled         =   0   'False
      Height          =   375
      Index           =   0
      Left            =   600
      TabIndex        =   5
      Top             =   2520
      Width           =   495
   End
   Begin VB.CommandButton cmdGo 
      Caption         =   "GO!"
      Default         =   -1  'True
      Height          =   375
      Left            =   1440
      TabIndex        =   2
      Top             =   1560
      Width           =   735
   End
   Begin VB.TextBox txtTime 
      Height          =   285
      Left            =   2160
      TabIndex        =   1
      Text            =   "25"
      Top             =   1080
      Width           =   375
   End
   Begin VB.Label Label4 
      Alignment       =   2  'Center
      Caption         =   "Hi - Lo"
      Height          =   255
      Left            =   1680
      TabIndex        =   9
      Top             =   240
      Width           =   1215
   End
   Begin VB.Label Label3 
      Alignment       =   2  'Center
      Caption         =   "2,3,4,5,6 = +1 10,J,Q,K,A = -1"
      Height          =   375
      Left            =   1680
      TabIndex        =   8
      Top             =   480
      Width           =   1215
   End
   Begin VB.Image imgCard 
      Height          =   1680
      Left            =   120
      Top             =   120
      Width           =   1095
   End
   Begin VB.Label Label2 
      Alignment       =   2  'Center
      Caption         =   "The deck has a count of"
      Height          =   255
      Left            =   600
      TabIndex        =   4
      Top             =   2160
      Width           =   1935
   End
   Begin VB.Label Label1 
      Caption         =   "Time:"
      Height          =   255
      Left            =   1680
      TabIndex        =   0
      Top             =   1080
      Width           =   375
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim Pointer As Byte
Dim DeckRand(51, 1) As Integer
Dim DeckCount As Integer
Dim StartMin As Single
Dim StartSec As Single
Dim EndMin As Single
Dim EndSec As Single
Dim TotalTime As Byte
Option Explicit

Private Sub cmdCounts_Click(Index As Integer)

Dim k As Byte
EndMin = Minute(Now)
EndSec = Second(Now)

If EndMin > StartMin Then
    TotalTime = EndSec + 60 - StartSec
Else
    TotalTime = EndSec - StartSec
End If

Select Case Index
Case 0 '//the player selected a deck count of -1
    If DeckCount = -1 Then
        MsgBox ("You Win!" & (Chr(13)) & "Time = " + CStr(TotalTime))
    Else
        MsgBox ("You Loose." & (Chr(13)) & "Time = " + CStr(TotalTime))
    End If
Case 1 '//the player selected a deck count of 0
    If DeckCount = 0 Then
        MsgBox ("You Win!" & (Chr(13)) & "Time = " + CStr(TotalTime))
    Else
        MsgBox ("You Loose." & (Chr(13)) & "Time = " + CStr(TotalTime))
    End If
Case 2 '//the player selected a deck count of +1
    If DeckCount = 1 Then
        MsgBox ("You Win!" & (Chr(13)) & "Time = " + CStr(TotalTime))
    Else
        MsgBox ("You Loose." & (Chr(13)) & "Time = " + CStr(TotalTime))
    End If
End Select
imgCard.Picture = pctCards.GraphicCell(DeckRand(Pointer, 0))

For k = 0 To 2
    cmdCounts(k).Enabled = False
Next k
txtTime.Enabled = True
cmdGo.Enabled = True

End Sub

Private Sub cmdGo_Click()

imgCard.Picture = pctCards.GraphicCell(54)
txtTime.Enabled = False
cmdGo.Enabled = False

'//Shuffle the Deck
Dim k As Byte, c As Byte, CardValue As Integer, Counter  As Byte
Dim DeckStack(51, 1) As Integer
Randomize
Pointer = 0 '//re-initializes the current(next) card in the new deck
DeckCount = 0

For k = 0 To 3 '//create stacked (ordered) deck. the second column contains the card's value.
    For c = 1 To 13
        If c = 1 Then
            CardValue = -1
        ElseIf c < 7 Then
            CardValue = 1
        ElseIf c > 9 Then
            CardValue = -1
        Else
            CardValue = 0
        End If
        DeckStack(13 * k + c - 1, 0) = 13 * k + c - 1
        DeckStack(13 * k + c - 1, 1) = CardValue
    Next c
Next k

For k = 0 To 51 '//fill randomized deck with -1, to know if it has an open slot (-1 = open slot).
    DeckRand(k, 0) = -1
Next k

k = 0 '//fill randomized deck (currently all -1) with stacked deck at random points
Do While k < 52
    Counter = Int(52 * Rnd)
    If DeckRand(Counter, 0) = -1 Then
        DeckRand(Counter, 0) = DeckStack(k, 0)
        DeckRand(Counter, 1) = DeckStack(k, 1)
        k = k + 1
    End If
Loop

cmdStop.Default = True
StartMin = Minute(Now)
StartSec = Second(Now)
tmrTimer.Interval = txtTime.Text * 1000 / 51
tmrTimer.Enabled = True

End Sub

Private Sub cmdStop_Click()
tmrTimer.Enabled = False

cmdGo.Enabled = True
txtTime.Enabled = True

imgCard.Picture = pctCards.GraphicCell(54)
cmdGo.SetFocus

End Sub

Public Sub Ender()
Dim k As Byte

For k = 0 To 2
    cmdCounts(k).Enabled = True
Next k

imgCard.Picture = pctCards.GraphicCell(54)
cmdGo.Default = True
    
End Sub

Private Sub tmrTimer_Timer()
Dim k As Byte

imgCard.Picture = pctCards.GraphicCell(DeckRand(Pointer, 0))
DeckCount = DeckCount + DeckRand(Pointer, 1)

Pointer = Pointer + 1

If Pointer = 51 Then
    tmrTimer.Enabled = False
    Call Ender
End If

End Sub
